
// (c) COPYRIGHT URI/MIT 1996, 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      Dan Holloway <d.holloway@gso.uri.edu> dan

// Implementation for the class JGStructure. See JGByte.cc
//
// jhrg 1/12/95

#include "config_jg.h"

#ifdef __GNUG__
#pragma implementation
#endif

#include "InternalErr.h"
#include "JGStructure.h"
#include "jgofs.h"

Structure *
NewStructure(const string &n)
{
    return new JGStructure(n);
}

BaseType *
JGStructure::ptr_duplicate()
{
    return new JGStructure(*this);
}

JGStructure::JGStructure(const string &n) : Structure(n)
{
}

JGStructure::~JGStructure()
{
}

bool
JGStructure::read(const string &dataset)
{
  throw InternalErr(__FILE__, __LINE__, "Unimplemented read method called.");
}
